#include "sceneobjectfabric.h"
#include <string>

Storage<std::string, SceneObjectFabric*> SceneObjectFabric::_fabrics_;

SceneObjectFabric::SceneObjectFabric()
{}


SceneObjectFabric::~SceneObjectFabric()
{}



SceneObject * SceneObjectFabric::operator [ ] ( std::string name )
{
	if ( !_fabrics_.exist ( name ) ) return 0;
	return ( *_fabrics_.get ( name ) ) ();
}
void SceneObjectFabric::add_fabric(std::string name, SceneObjectFabric* fabric)
{
	if ( !_fabrics_.exist ( name ) )_fabrics_.insert(name, fabric);
}
